Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.xmlstore
Class XMLStore

    java.lang.Object
      org.apache.openjpa.xmlstore.XMLStore

    public class XMLStore

extends Object

Represents a store of object data encoded in XML. This store only allows one datastore transaction to proceed at a time. File I/O errors can put this store into an invalid state.

Constructor Summary
`XMLStore(XMLConfiguration conf)` Constructor; supply configuration.

Method Summary
`void` | `beginTransaction()` Begin a datastore transaction.
`void` | `endTransaction(Collection updates, Collection deletes)` End the datastore transaction.
`ObjectData[]` | `getData(ClassMetaData meta)` Return all datas for the base class of the given type.
`ObjectData` | `getData(ClassMetaData meta, Object oid)` Return the data for the given oid, or null if it does not exist.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLStore

    public XMLStore(XMLConfiguration conf)

  Constructor; supply configuration.

Method Detail

### getData

    public ObjectData getData(ClassMetaData meta,
                              Object oid)

  Return the data for the given oid, or null if it does not exist.

### getData

    public ObjectData[] getData(ClassMetaData meta)

  Return all datas for the base class of the given type.

### beginTransaction

    public void beginTransaction()

  Begin a datastore transaction. Obtains an exclusive write lock on the store.

### endTransaction

    public void endTransaction(Collection updates,
                               Collection deletes)

  End the datastore transaction.

  Parameters:
    `updates` - `ObjectData` instances to insert or update
    `deletes` - `ObjectData` instances to delete

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.